Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optim
Class PointValuePair

    java.lang.Object
      org.apache.commons.math3.util.Pair<double[],Double>
          org.apache.commons.math3.optim.PointValuePair

All Implemented Interfaces:
  Serializable

    public class PointValuePair

extends Pair<double[],Double>
implements Serializable

This class holds a point and the value of an objective function at that point.

Since:
  3.0
Version:
  $Id: PointValuePair.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `PointVectorValuePair`, `MultivariateFunction`, Serialized Form

Constructor Summary
`PointValuePair(double[] point, double value)` Builds a point/objective function value pair.
`PointValuePair(double[] point, double value, boolean copyArray)` Builds a point/objective function value pair.

Method Summary
`double[]` | `getPoint()` Gets the point.
`double[]` | `getPointRef()` Gets a reference to the point.

Methods inherited from class org.apache.commons.math3.util.Pair
`equals, getFirst, getKey, getSecond, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointValuePair

    public PointValuePair(double[] point,
                          double value)

  Builds a point/objective function value pair.

  Parameters:
    `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
    `value` - Value of the objective function at the point.

### PointValuePair

    public PointValuePair(double[] point,
                          double value,
                          boolean copyArray)

  Builds a point/objective function value pair.

  Parameters:
    `point` - Point coordinates.
    `value` - Value of the objective function at the point.
    `copyArray` - if `true`, the input array will be copied, otherwise it will be referenced.

Method Detail

### getPoint

    public double[] getPoint()

  Gets the point.

  Returns:
    a copy of the stored point.

### getPointRef

    public double[] getPointRef()

  Gets a reference to the point.

  Returns:
    a reference to the internal array storing the point.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.